# Visualization
TKV3d
V3d

# V3d_ColorScale Class Reference

A colorscale class
.

`#include <V3d_ColorScale.hxx>`

Inheritance diagram for V3d_ColorScale:

[legend]

## Public Member Functions

Standard_EXPORT | V3d_ColorScale (const Handle(V3d_LayerMgr)&aMgr)
| Returns returns ColorScale from V3d. //! Returns View from V3d. .
Standard_EXPORT void | Display ()
Standard_EXPORT void | Erase ()
Standard_EXPORT Standard_Boolean | IsDisplayed () const
virtual Standard_EXPORT void | PaintRect (const Standard_Integer X, const Standard_Integer Y, const Standard_Integer W, const Standard_Integer H, const Quantity_Color &aColor, const Standard_Boolean aFilled=Standard_False)
virtual Standard_EXPORT void | PaintText (const TCollection_ExtendedString &aText, const Standard_Integer X, const Standard_Integer Y, const Quantity_Color &aColor)
virtual Standard_EXPORT Standard_Integer | TextWidth (const TCollection_ExtendedString &aText) const
virtual Standard_EXPORT Standard_Integer | TextHeight (const TCollection_ExtendedString &aText) const
Standard_EXPORT void | TextSize (const TCollection_ExtendedString &AText, const Standard_Integer AHeight, Standard_Integer &AWidth, Standard_Integer &AnAscent, Standard_Integer &ADescent) const
Standard_EXPORT void | DrawScale ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

virtual Standard_EXPORT void | UpdateColorScale ()

## Private Attributes

V3d_LayerMgrPointer | myLayerMgr
Standard_Boolean | myDisplay

## Constructor & Destructor Documentation

Standard_EXPORT V3d_ColorScale::V3d_ColorScale | ( | const Handle(V3d_LayerMgr)& | aMgr | ) |

## Member Function Documentation

Standard_EXPORT void V3d_ColorScale::Display | ( |  | ) |

Standard_EXPORT void V3d_ColorScale::DrawScale | ( |  | ) |

Standard_EXPORT void V3d_ColorScale::Erase | ( |  | ) |

Standard_EXPORT const V3d_ColorScale::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Aspect_ColorScale.

Standard_EXPORT Standard_Boolean V3d_ColorScale::IsDisplayed | ( |  | ) | const

virtual Standard_EXPORT void V3d_ColorScale::PaintRect | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Standard_Integer | W,
|  | const Standard_Integer | H,
|  | const Quantity_Color & | aColor,
|  | const Standard_Boolean | aFilled = `Standard_False`
| ) | `[virtual]`

| Implements Aspect_ColorScale.

virtual Standard_EXPORT void V3d_ColorScale::PaintText | ( | const TCollection_ExtendedString & | aText,
|  | const Standard_Integer | X,
|  | const Standard_Integer | Y,
|  | const Quantity_Color & | aColor
| ) | `[virtual]`

| Implements Aspect_ColorScale.

virtual Standard_EXPORT Standard_Integer V3d_ColorScale::TextHeight | ( | const TCollection_ExtendedString & | aText | ) | const`[virtual]`

| Implements Aspect_ColorScale.

Standard_EXPORT void V3d_ColorScale::TextSize | ( | const TCollection_ExtendedString & | AText,
|  | const Standard_Integer | AHeight,
|  | Standard_Integer & | AWidth,
|  | Standard_Integer & | AnAscent,
|  | Standard_Integer & | ADescent
| ) | const

virtual Standard_EXPORT Standard_Integer V3d_ColorScale::TextWidth | ( | const TCollection_ExtendedString & | aText | ) | const`[virtual]`

| Implements Aspect_ColorScale.

virtual Standard_EXPORT void V3d_ColorScale::UpdateColorScale | ( |  | ) | `[protected, virtual]`

| Reimplemented from Aspect_ColorScale.

## Field Documentation

Standard_Boolean V3d_ColorScale::myDisplay `[private]`

V3d_LayerMgrPointer V3d_ColorScale::myLayerMgr `[private]`

The documentation for this class was generated from the following file:

- V3d_ColorScale.hxx